const commentRenderer = (() => {
    function to_html(comment) {
        var comment_div = document.createElement("div");
        comment_div.setAttribute("id", comment.id);
        comment_div.setAttribute("class", "tuteur");
        
        var img = document.createElement("img");
        img.setAttribute("class", "sportif");
        img.setAttribute("src", comment.img);

        var comment_description = document.createElement("p");
        comment_description.textContent = comment.description;

        var comment_name = document.createElement("div");
        comment_name.setAttribute("class", "tuteur_name");

        var text = document.createTextNode(comment.name + ',');
        var span = document.createElement("span");
        span.setAttribute("class", "span_themefusion");
        span.textContent = comment.span;

        comment_name.appendChild(span);
        comment_name.insertBefore(text, span);
        
        comment_div.appendChild(img);
        comment_div.appendChild(comment_description);
        comment_div.appendChild(comment_name);

        return comment_div;
    }

    function render(comments) {
        const container = document.getElementById("section_5");

        comments.forEach((comment) => {
            container.appendChild(to_html(comment));
        })
    };

    return {
        render: render
    }
})();